add new background sheet

Valued Contributor
Valued Contributor

 

How do I add a new background sheet?  I have tried various versions of:

Call Sheet.Add(Name:="BackGround-New", SectionName:=ActiveDocument.Sections("Background"))

 But I always get the runtime error message ‘object required’.

 

Posted by: Jon Zaerr
Post date: 4/15/2008 9:00:38 AM

1 REPLY

RE: add new background sheet

Valued Contributor
Valued Contributor

Option ExplicitSub CreateSheet() Dim objApplication As SolidEdgeFramework.Application Dim objDocuments As SolidEdgeFramework.Documents Dim objDraft As SolidEdgeDraft.DraftDocument Dim objSheets As SolidEdgeDraft.Sheets Dim objSheet As SolidEdgeDraft.Sheet Set objApplication = GetObject(, "SolidEdge.application") Set objDocuments = objApplication.Documents Set objDraft = objDocuments.Add("SolidEdge.DraftDocument") Set objSheets = objDraft.Sheets Set objSheet = objSheets.AddSheet() Set objSheet = Nothing Set objSheets = Nothing Set objDraft = Nothing Set objDocuments = Nothing Set objApplication = NothingEnd Sub

 

Posted by: Jason Newell
Post date: 4/16/2008 7:50:55 PM